Bug 965995 - quick-read and open-behind xlator: Make options (volume_options ) structure NULL terminated.
quick-read and open-behind xlator: Make options (volume_options ) structure N...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quick-read (Show other bugs)
mainline
All Linux
unspecified Severity low
: ---
: ---
Assigned To: santosh pradhan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 05:08 EDT by santosh pradhan
Modified: 2014-09-21 18:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:20:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description santosh pradhan 2013-05-22 05:08:56 EDT
Description of problem:

Make the options (of type volume_options) structure NULL terminated.

Version-Release number of selected component (if applicable):


How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.
N/A.

Actual results:


Expected results:


Additional info:
Comment 1 santosh pradhan 2013-05-22 05:10:45 EDT
Found this while scanned through all the xlator options structure.
Comment 2 Anand Avati 2013-05-22 06:08:44 EDT
REVIEW: http://review.gluster.org/5064 (xlator: NULL termiate volume_options struct) posted (#1) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 3 Anand Avati 2013-05-22 08:47:21 EDT
REVIEW: http://review.gluster.org/5064 (xlator: NULL terminate volume_options struct) posted (#2) for review on master by Santosh Pradhan (spradhan@redhat.com)
Comment 4 Anand Avati 2013-05-22 13:33:19 EDT
COMMIT: http://review.gluster.org/5064 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 4df7a3c4888fbf1e1f84246aeac92af396879ce5
Author: Santosh Kumar Pradhan <spradhan@redhat.com>
Date:   Wed May 22 15:26:04 2013 +0530

    xlator: NULL terminate volume_options struct
    
    Problem:
    volume_options struct for open-behind and quick-read xlators
    were not NULL terminated.
    
    Fix:
    Make them NULL terminated.
    
    Change-Id: I2615a1f15c6e5674030a219a99ddf91596bf346b
    BUG: 965995
    Signed-off-by: Santosh Kumar Pradhan <spradhan@redhat.com>
    Reviewed-on: http://review.gluster.org/5064
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 6 santosh pradhan 2013-05-22 23:50:27 EDT
typo does not need.
Comment 7 Anand Avati 2013-09-05 06:38:27 EDT
REVIEW: http://review.gluster.org/5809 (xlator: NULL terminate volume_options struct) posted (#1) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 8 Anand Avati 2013-09-05 11:14:08 EDT
REVIEW: http://review.gluster.org/5809 (xlator: NULL terminate volume_options struct) posted (#2) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 9 Anand Avati 2013-09-06 00:28:22 EDT
REVIEW: http://review.gluster.org/5809 (xlator: NULL terminate volume_options struct) posted (#3) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 10 Anand Avati 2013-09-06 03:44:09 EDT
REVIEW: http://review.gluster.org/5809 (xlator: NULL terminate volume_options struct) posted (#4) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 11 Anand Avati 2013-09-07 11:02:28 EDT
REVIEW: http://review.gluster.org/5809 (xlator: NULL terminate volume_options struct) posted (#5) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 12 Anand Avati 2013-09-09 20:22:08 EDT
COMMIT: http://review.gluster.org/5809 committed in release-3.4 by Anand Avati (avati@redhat.com) 
------
commit c28b40ebb682eee88c7afa4d64b8e6bfde529668
Author: Santosh Kumar Pradhan <spradhan@redhat.com>
Date:   Wed May 22 15:26:04 2013 +0530

    xlator: NULL terminate volume_options struct
    
    Problem:
    volume_options struct for open-behind and quick-read xlators
    were not NULL terminated.
    
    Fix:
    Make them NULL terminated.
    
    Change-Id: I2615a1f15c6e5674030a219a99ddf91596bf346b
    BUG: 965995
    Signed-off-by: Santosh Kumar Pradhan <spradhan@redhat.com>
    Reviewed-on: http://review.gluster.org/5064
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/5809
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.